Summary:        OCaml mode for Emacs/XEmacs
Name:           emacs-tuareg-mode
Version:        3.0.1
Release:        %mkrel 2
License:        GPLv2
Group:          Editors
Url:            http://tuareg.forge.ocamlcore.org/
Source0:        https://github.com/ocaml/tuareg/archive/%{version}/tuareg-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  emacs
BuildRequires:  emacs-el
Requires:       emacs

%description 
Tuareg is a Caml mode for GNU Emacs and XEmacs. It handles automatic
indentation of OCaml code. Key parts of the code are highlighted using
Font-Lock. Support to run an interactive Caml toplevel and debbuger is
provided.

%prep
%autosetup -n tuareg-%{version} -p1

%build
make


%install
mkdir -p %{buildroot}%{_datadir}/emacs/site-lisp/
mkdir -p %{buildroot}%{_sysconfdir}/emacs/site-start.d
install -m 0644 *.el *.elc %{buildroot}%{_datadir}/emacs/site-lisp/
cp tuareg-site-file.el %{buildroot}%{_sysconfdir}/emacs/site-start.d/

%files
%doc CHANGES.md README.md
%license COPYING
%{_datadir}/emacs/site-lisp/*.el
%{_datadir}/emacs/site-lisp/*.elc
%{_sysconfdir}/emacs/site-start.d/tuareg-site-file.el


%changelog
* Sat Jun 21 2025 daviddavid <daviddavid> 3.0.1-2.mga10
+ Revision: 2193558
- install more needed emacs files

* Sun Sep 22 2024 papoteur <papoteur> 3.0.1-1.mga10
+ Revision: 2100583
- new version 3.0.1
- change tarball link

* Tue Mar 29 2022 umeabot <umeabot> 2.0.7-4.mga9
+ Revision: 1831391
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.0.7-3.mga8
+ Revision: 1501369
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.0.7-2.mga7
+ Revision: 1278082
- Mageia 7 Mass Rebuild

* Sun Mar 25 2018 kekepower <kekepower> 2.0.7-1.mga7
+ Revision: 1212258
- Update to version 2.0.7

* Fri Feb 19 2016 umeabot <umeabot> 2.0.6-8.mga6
+ Revision: 969851
- Mageia 6 Mass Rebuild

* Thu Sep 17 2015 tv <tv> 2.0.6-7.mga6
+ Revision: 880194
- make it noarch thus really fixing empty debuginfo

* Wed Sep 09 2015 neoclust <neoclust> 2.0.6-6.mga6
+ Revision: 875070
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 2.0.6-5.mga5
+ Revision: 750395
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.6-4.mga5
+ Revision: 678997
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.6-3.mga4
+ Revision: 504098
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.0.6-2.mga3
+ Revision: 349633
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 malo <malo> 2.0.6-1.mga3
+ Revision: 285512
- imported package emacs-tuareg-mode

